Palo Alto Networks Security Advisories / CVE-2018-10140

CVE-2018-10140 Denial of Service in PAN-OS Management Web Interface

047910
Severity 4.3 · MEDIUM
Attack Vector NETWORK
Attack Complexity LOW
Privileges Required LOW
User Interaction NONE
Scope UNCHANGED
Confidentiality Impact NONE
Integrity Impact NONE
Availability Impact LOW

Description

A Denial of Service exists in PAN-OS Management Web Interface that allows an authenticated user to shut down all management sessions, resulting in all logged in users to be redirected to the login page. (Ref # PAN-100189, CVE-2018-10140)

This vulnerability can be triggered by an authenticated user sending malformed searching parameters through the Filter bar on the PAN-OS Management Web Interface.

This issue affects PAN-OS 8.1.2 and earlier. PAN-OS 6.1, PAN-OS 7.1 and PAN-OS 8.0 are NOT affected.

Product Status

VersionsAffectedUnaffected
PAN-OS 8.1<= 8.1.2>= 8.1.3

Severity: MEDIUM

CVSSv3.1 Base Score: 4.3 (CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L)

Weakness Type

CWE-20 Improper Input Validation

Solution

PAN-OS 8.1.3 and later

Workarounds and Mitigations

This issue affects the web-based management interface of PAN-OS and is strongly mitigated by following best practices for securing the management interface of PAN-OS. Our best practices guidelines reduce the exposure of the management interface to potential attackers. Please review the Best Practices for Securing Administrative Access in the PAN-OS technical documentation, available at: https://www.paloaltonetworks.com/documentation/81/pan-os/pan-os/getting-started/best-practices-for-securing-administrative-access

Acknowledgments

Palo Alto Networks would like to thank Mario Aaron Lopez Payes for reporting this issue.
© 2020 Palo Alto Networks, Inc. All rights reserved.